<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>LoginPage</title>
	<style>
		body {
			background-color:black;
			background-size: cover;
			align-items: center;
			justify-content: center;
			display: flex;
			font-family: sans-serif;
			padding: 0;
			margin: 0;
		}

		.container {
			position: relative;
			margin-top: 100px;
			width: 450px;
			height: auto;
			background:white;
			border-radius: 5px;
		}

		.label {
			padding: 20px 130px;
			font-size: 35px;
			font-weight: bold;
			color: #130f40;
			margin-bottom: auto;
		}

		.signup_form {
			padding: 20px 40px;
		}

		.signup_form .font {
			font-size: 18px;
			color: #130f40;
			margin: 5px 0;
		}

		.signup_form input {
			height: 40px;
			width: 350px;
			padding: 0 5px;
			border: 1px solid lightgrey;
			outline: none;
			font-size: 17px;
            transition: all 0.3s ease;
		}

		.signup_form input:focus{
            border-color: #736cec;
		}

		.signup_form .font2 {
			height: 50px;
            width: 100%;
            margin-top: 20px;
		}

		.signup_form button {
			margin: 45px 0 30px 0;
			height: 45px;
			width: 365px;
			font-size: 20px;
			color: rgb(245, 245, 248);
			outline: none;
			cursor: pointer;
			font-weight: bold;
			background: #3b47cb;
			border-radius: 3px;
			border: 1px solid #3949AB;
			transition: .5s;
		}


		.signup_form button:hover {
			background:-webkit-linear-gradient(left, #718af7, #577df0);
		}	

		.signup_form #uname_error,
		.signup_form #pass_error {
			margin-top: 5px;
			width: 345px;
			font-size: 18px;
			color: #C62828;
			background: rgba(255,0,0,0.1);
			text-align: center;
			padding: 5px 8px;
			border-radius: 3px;
			border: 1px solid #EF9A9A;
			display: none;
		}
	</style>

	<script>
		var csrftoken = $('[name=csrfmiddlewaretoken]').val();

		$.ajax({
		  url: '/your-url/',
		  type: 'POST',
		  headers: {
			'X-CSRFToken': csrftoken
		  },
		  // other options and data
		});
		function validated() {
			var password = document.forms["form"]["password"].value;
			var uname=document.forms["form"]["uname"].value;

			// Email validation regex pattern
			

			if (password === "") {
				document.getElementById("pass_error").style.display = "block";
				return false;
			}

			if (uname === "") {
				document.getElementById("uname_error").style.display = "block";
				return false;
			}
		}
	</script>
</head>
<body>
	<div class="container">

		<h1 class="label">Login</h1>
		<form class="signup_form" method="POST" name="form" onsubmit="return validated()">
			{% csrf_token %}
			<div class="font">Username</div>
			<input type="text" placeholder="Enter username" name="uname">
			<div id="uname_error">Please fill up your Username</div>
			<div class="font font2">Password</div>
			<input type="password" placeholder="Enter password" name="password">
			<div id="pass_error">Please fill up your Password</div>
			<button type="submit">Login</button>
			<a href="{% url "signup"%}">I don't have an account</a><br><br>
		</form>
	</div>
</body>
</html>